<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_wifi_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structmcm__wifi__info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__wifi__info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_wifi_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac8681eef57136344df55f2cfd40ead34"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#ac8681eef57136344df55f2cfd40ead34">bssid</a> [32]</td></tr>
<tr class="separator:ac8681eef57136344df55f2cfd40ead34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955deb41eace0d3e7bc08b90e5187b5e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a955deb41eace0d3e7bc08b90e5187b5e">hwmode</a> [16]</td></tr>
<tr class="separator:a955deb41eace0d3e7bc08b90e5187b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616a41aa35e271b13dde8f2538873f17"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a616a41aa35e271b13dde8f2538873f17">frequency</a> [16]</td></tr>
<tr class="separator:a616a41aa35e271b13dde8f2538873f17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af30a622f61d035104cb7486964cbebc7"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#af30a622f61d035104cb7486964cbebc7">operation_mode</a> [16]</td></tr>
<tr class="separator:af30a622f61d035104cb7486964cbebc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d5f29437ca14ce27bd3c90ca46938e7"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a2d5f29437ca14ce27bd3c90ca46938e7">ssid</a> [40]</td></tr>
<tr class="separator:a2d5f29437ca14ce27bd3c90ca46938e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98f8506389f0e5da3b990656047404e4"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a98f8506389f0e5da3b990656047404e4">secure_mode</a> [16]</td></tr>
<tr class="separator:a98f8506389f0e5da3b990656047404e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d7ef6a7074b5af4e3b39318f4293d7"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#ac3d7ef6a7074b5af4e3b39318f4293d7">signal</a> [16]</td></tr>
<tr class="separator:ac3d7ef6a7074b5af4e3b39318f4293d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8c8414c1cb3936442c91298a54cb83"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a4a8c8414c1cb3936442c91298a54cb83">channel</a></td></tr>
<tr class="separator:a4a8c8414c1cb3936442c91298a54cb83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc265af3f01642016b6c2fea3f47b97"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html#a0dc265af3f01642016b6c2fea3f47b97">broadcast</a></td></tr>
<tr class="separator:a0dc265af3f01642016b6c2fea3f47b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for wifi interface information </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a0dc265af3f01642016b6c2fea3f47b97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dc265af3f01642016b6c2fea3f47b97">&#9670;&nbsp;</a></span>broadcast</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool mcm_wifi_info::broadcast</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>broadcast </p>

</div>
</div>
<a id="ac8681eef57136344df55f2cfd40ead34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8681eef57136344df55f2cfd40ead34">&#9670;&nbsp;</a></span>bssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::bssid[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>BSSID </p>

</div>
</div>
<a id="a4a8c8414c1cb3936442c91298a54cb83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8c8414c1cb3936442c91298a54cb83">&#9670;&nbsp;</a></span>channel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_wifi_info::channel</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>channel </p>

</div>
</div>
<a id="a616a41aa35e271b13dde8f2538873f17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a616a41aa35e271b13dde8f2538873f17">&#9670;&nbsp;</a></span>frequency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::frequency[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>is 2.4g/5g </p>

</div>
</div>
<a id="a955deb41eace0d3e7bc08b90e5187b5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a955deb41eace0d3e7bc08b90e5187b5e">&#9670;&nbsp;</a></span>hwmode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::hwmode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>hwmode </p>

</div>
</div>
<a id="af30a622f61d035104cb7486964cbebc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af30a622f61d035104cb7486964cbebc7">&#9670;&nbsp;</a></span>operation_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::operation_mode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>operation mode </p>

</div>
</div>
<a id="a98f8506389f0e5da3b990656047404e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98f8506389f0e5da3b990656047404e4">&#9670;&nbsp;</a></span>secure_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::secure_mode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>scure mode </p>

</div>
</div>
<a id="ac3d7ef6a7074b5af4e3b39318f4293d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3d7ef6a7074b5af4e3b39318f4293d7">&#9670;&nbsp;</a></span>signal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::signal[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>signal </p>

</div>
</div>
<a id="a2d5f29437ca14ce27bd3c90ca46938e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d5f29437ca14ce27bd3c90ca46938e7">&#9670;&nbsp;</a></span>ssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_info::ssid[40]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>SSID </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structmcm__wifi__info.html">mcm_wifi_info</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
